<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:22 CEST 2019 -->
<title>ParameterBuffer (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ParameterBuffer (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6,"i9":6,"i10":6,"i11":6,"i12":6,"i13":6,"i14":6,"i15":6,"i16":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/gds/Parameter.html" title="interface in org.firebirdsql.gds"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../org/firebirdsql/gds/ParameterBufferHelper.html" title="class in org.firebirdsql.gds"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/gds/ParameterBuffer.html" target="_top">Frames</a></li>
<li><a href="ParameterBuffer.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.gds</div>
<h2 title="Interface ParameterBuffer" class="title">Interface ParameterBuffer</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;<a href="../../../org/firebirdsql/gds/Parameter.html" title="interface in org.firebirdsql.gds">Parameter</a>&gt;</dd>
</dl>
<dl>
<dt>All Known Subinterfaces:</dt>
<dd><a href="../../../org/firebirdsql/gds/BlobParameterBuffer.html" title="interface in org.firebirdsql.gds">BlobParameterBuffer</a>, <a href="../../../org/firebirdsql/gds/ConnectionParameterBuffer.html" title="interface in org.firebirdsql.gds">ConnectionParameterBuffer</a>, <a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html" title="interface in org.firebirdsql.gds">DatabaseParameterBuffer</a>, <a href="../../../org/firebirdsql/gds/impl/DatabaseParameterBufferExtension.html" title="interface in org.firebirdsql.gds.impl">DatabaseParameterBufferExtension</a>, <a href="../../../org/firebirdsql/gds/ServiceParameterBuffer.html" title="interface in org.firebirdsql.gds">ServiceParameterBuffer</a>, <a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html" title="interface in org.firebirdsql.gds">ServiceRequestBuffer</a>, <a href="../../../org/firebirdsql/gds/TransactionParameterBuffer.html" title="interface in org.firebirdsql.gds">TransactionParameterBuffer</a></dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../org/firebirdsql/gds/impl/BlobParameterBufferImp.html" title="class in org.firebirdsql.gds.impl">BlobParameterBufferImp</a>, <a href="../../../org/firebirdsql/gds/impl/DatabaseParameterBufferImp.html" title="class in org.firebirdsql.gds.impl">DatabaseParameterBufferImp</a>, <a href="../../../org/firebirdsql/jca/FBConnectionRequestInfo.html" title="class in org.firebirdsql.jca">FBConnectionRequestInfo</a>, <a href="../../../org/firebirdsql/gds/impl/ParameterBufferBase.html" title="class in org.firebirdsql.gds.impl">ParameterBufferBase</a>, <a href="../../../org/firebirdsql/gds/impl/ServiceParameterBufferImp.html" title="class in org.firebirdsql.gds.impl">ServiceParameterBufferImp</a>, <a href="../../../org/firebirdsql/gds/impl/ServiceRequestBufferImp.html" title="class in org.firebirdsql.gds.impl">ServiceRequestBufferImp</a>, <a href="../../../org/firebirdsql/gds/impl/TransactionParameterBufferImpl.html" title="class in org.firebirdsql.gds.impl">TransactionParameterBufferImpl</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">ParameterBuffer</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;<a href="../../../org/firebirdsql/gds/Parameter.html" title="interface in org.firebirdsql.gds">Parameter</a>&gt;</pre>
<div class="block">Instance of this interface represents a Parameter Buffer it is extended
 by various parameter buffer interfaces.</div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>3.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a href="mailto:mrotteveel@users.sourceforge.net">Mark Rotteveel</a></dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../org/firebirdsql/gds/ParameterBuffer.html" title="interface in org.firebirdsql.gds"><code>ParameterBuffer</code></a>, 
<a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html" title="interface in org.firebirdsql.gds"><code>ServiceRequestBuffer</code></a>, 
<a href="../../../org/firebirdsql/gds/TransactionParameterBuffer.html" title="interface in org.firebirdsql.gds"><code>TransactionParameterBuffer</code></a>, 
<a href="../../../org/firebirdsql/gds/ServiceParameterBuffer.html" title="interface in org.firebirdsql.gds"><code>ServiceParameterBuffer</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ParameterBuffer.html#addArgument-int-">addArgument</a></span>(int&nbsp;argumentType)</code>
<div class="block">Add argument with no parameters.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ParameterBuffer.html#addArgument-int-byte:A-">addArgument</a></span>(int&nbsp;argumentType,
           byte[]&nbsp;content)</code>
<div class="block">Add array of bytes.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ParameterBuffer.html#addArgument-int-int-">addArgument</a></span>(int&nbsp;argumentType,
           int&nbsp;value)</code>
<div class="block">Add integer argument.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ParameterBuffer.html#addArgument-int-long-">addArgument</a></span>(int&nbsp;argumentType,
           long&nbsp;value)</code>
<div class="block">Add long argument.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ParameterBuffer.html#addArgument-int-java.lang.String-">addArgument</a></span>(int&nbsp;argumentType,
           <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Add string argument with the default encoding.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ParameterBuffer.html#addArgument-int-java.lang.String-org.firebirdsql.encodings.Encoding-">addArgument</a></span>(int&nbsp;argumentType,
           <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value,
           <a href="../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings">Encoding</a>&nbsp;encoding)</code>
<div class="block">Add string argument.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ParameterBuffer.html#getArgumentAsInt-int-">getArgumentAsInt</a></span>(int&nbsp;argumentType)</code>
<div class="block">Get argument as int.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ParameterBuffer.html#getArgumentAsString-int-">getArgumentAsString</a></span>(int&nbsp;argumentType)</code>
<div class="block">Get argument as string.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ParameterBuffer.html#getType--">getType</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ParameterBuffer.html#hasArgument-int-">hasArgument</a></span>(int&nbsp;argumentType)</code>
<div class="block">Check if this parameter buffer has specified argument.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/Iterator.html?is-external=true" title="class or interface in java.util">Iterator</a>&lt;<a href="../../../org/firebirdsql/gds/Parameter.html" title="interface in org.firebirdsql.gds">Parameter</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ParameterBuffer.html#iterator--">iterator</a></span>()</code>
<div class="block">Returns an iterator over a copy of the parameters in this parameter buffer.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ParameterBuffer.html#removeArgument-int-">removeArgument</a></span>(int&nbsp;argumentType)</code>
<div class="block">Remove specified argument.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ParameterBuffer.html#size--">size</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>byte[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ParameterBuffer.html#toBytes--">toBytes</a></span>()</code>
<div class="block">Converts this parameter buffer to a byte array.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>byte[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ParameterBuffer.html#toBytesWithType--">toBytesWithType</a></span>()</code>
<div class="block">Converts this parameter buffer to a byte array with type information.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code><a href="../../../org/firebirdsql/gds/impl/wire/Xdrable.html" title="interface in org.firebirdsql.gds.impl.wire">Xdrable</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ParameterBuffer.html#toXdrable--">toXdrable</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ParameterBuffer.html#writeArgumentsTo-java.io.OutputStream-">writeArgumentsTo</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/io/OutputStream.html?is-external=true" title="class or interface in java.io">OutputStream</a>&nbsp;outputStream)</code>
<div class="block">Writes the arguments in the implementation specific serialization into the <code>OutputStream</code>.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Iterable">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Iterable.html?is-external=true#forEach-java.util.function.Consumer-" title="class or interface in java.lang">forEach</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Iterable.html?is-external=true#spliterator--" title="class or interface in java.lang">spliterator</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getType--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getType</h4>
<pre>int&nbsp;getType()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The parameter buffer type identifier</dd>
</dl>
</li>
</ul>
<a name="addArgument-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addArgument</h4>
<pre>void&nbsp;addArgument(int&nbsp;argumentType)</pre>
<div class="block">Add argument with no parameters.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>argumentType</code> - type of argument.</dd>
</dl>
</li>
</ul>
<a name="addArgument-int-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addArgument</h4>
<pre>void&nbsp;addArgument(int&nbsp;argumentType,
                 <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Add string argument with the default encoding.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>argumentType</code> - type of argument.</dd>
<dd><code>value</code> - string value to add.</dd>
</dl>
</li>
</ul>
<a name="addArgument-int-java.lang.String-org.firebirdsql.encodings.Encoding-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addArgument</h4>
<pre>void&nbsp;addArgument(int&nbsp;argumentType,
                 <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value,
                 <a href="../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings">Encoding</a>&nbsp;encoding)</pre>
<div class="block">Add string argument.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>argumentType</code> - type of argument.</dd>
<dd><code>value</code> - string value to add.</dd>
<dd><code>encoding</code> - encoding to use for conversion to bytes</dd>
</dl>
</li>
</ul>
<a name="addArgument-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addArgument</h4>
<pre>void&nbsp;addArgument(int&nbsp;argumentType,
                 int&nbsp;value)</pre>
<div class="block">Add integer argument.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>argumentType</code> - type of argument.</dd>
<dd><code>value</code> - integer value to add.</dd>
</dl>
</li>
</ul>
<a name="addArgument-int-long-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addArgument</h4>
<pre>void&nbsp;addArgument(int&nbsp;argumentType,
                 long&nbsp;value)</pre>
<div class="block">Add long argument.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>argumentType</code> - type of argument.</dd>
<dd><code>value</code> - long value to add.</dd>
</dl>
</li>
</ul>
<a name="addArgument-int-byte:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addArgument</h4>
<pre>void&nbsp;addArgument(int&nbsp;argumentType,
                 byte[]&nbsp;content)</pre>
<div class="block">Add array of bytes.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>argumentType</code> - type of argument.</dd>
<dd><code>content</code> - content of argument.</dd>
</dl>
</li>
</ul>
<a name="removeArgument-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeArgument</h4>
<pre>void&nbsp;removeArgument(int&nbsp;argumentType)</pre>
<div class="block">Remove specified argument.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>argumentType</code> - type of argument to remove.</dd>
</dl>
</li>
</ul>
<a name="getArgumentAsString-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getArgumentAsString</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getArgumentAsString(int&nbsp;argumentType)</pre>
<div class="block">Get argument as string.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>argumentType</code> - type of argument to find.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>argument as string or <code>null</code> if nothing found.</dd>
</dl>
</li>
</ul>
<a name="getArgumentAsInt-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getArgumentAsInt</h4>
<pre>int&nbsp;getArgumentAsInt(int&nbsp;argumentType)</pre>
<div class="block">Get argument as int.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>argumentType</code> - type of argument to find.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>argument as string or <code>0</code> if nothing found.</dd>
</dl>
</li>
</ul>
<a name="hasArgument-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hasArgument</h4>
<pre>boolean&nbsp;hasArgument(int&nbsp;argumentType)</pre>
<div class="block">Check if this parameter buffer has specified argument.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>argumentType</code> - type of argument to find.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> if this buffer contains specified argument.</dd>
</dl>
</li>
</ul>
<a name="iterator--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>iterator</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/util/Iterator.html?is-external=true" title="class or interface in java.util">Iterator</a>&lt;<a href="../../../org/firebirdsql/gds/Parameter.html" title="interface in org.firebirdsql.gds">Parameter</a>&gt;&nbsp;iterator()</pre>
<div class="block">Returns an iterator over a copy of the parameters in this parameter buffer.
 <p>
 It is safe to iterate over this iterator while modifying the parameter buffer. Changes will not be reflected in
 the iterator.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Iterable.html?is-external=true#iterator--" title="class or interface in java.lang">iterator</a></code>&nbsp;in interface&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;<a href="../../../org/firebirdsql/gds/Parameter.html" title="interface in org.firebirdsql.gds">Parameter</a>&gt;</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Iterator over the parameters in this parameter buffer.</dd>
</dl>
</li>
</ul>
<a name="writeArgumentsTo-java.io.OutputStream-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>writeArgumentsTo</h4>
<pre>void&nbsp;writeArgumentsTo(<a href="https://docs.oracle.com/javase/8/docs/api/java/io/OutputStream.html?is-external=true" title="class or interface in java.io">OutputStream</a>&nbsp;outputStream)
               throws <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<div class="block">Writes the arguments in the implementation specific serialization into the <code>OutputStream</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>outputStream</code> - The <code>OutputStream</code> to write to</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code> - Errors produced by the output stream during writes</dd>
</dl>
</li>
</ul>
<a name="toXdrable--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toXdrable</h4>
<pre><a href="../../../org/firebirdsql/gds/impl/wire/Xdrable.html" title="interface in org.firebirdsql.gds.impl.wire">Xdrable</a>&nbsp;toXdrable()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>Xdrable</code> to write (and optionally read) this instance as Xdr.</dd>
</dl>
</li>
</ul>
<a name="toBytes--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toBytes</h4>
<pre>byte[]&nbsp;toBytes()</pre>
<div class="block">Converts this parameter buffer to a byte array.
 <p>
 This byte array includes the extra header-bytes (if any), but does not include the type information
 </p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Byte array with serialization of this parameter buffer</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../org/firebirdsql/gds/ParameterBuffer.html#toBytesWithType--"><code>toBytesWithType()</code></a></dd>
</dl>
</li>
</ul>
<a name="toBytesWithType--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toBytesWithType</h4>
<pre>byte[]&nbsp;toBytesWithType()</pre>
<div class="block">Converts this parameter buffer to a byte array with type information.
 <p>
 This byte array includes the type information and the extra header bytes (if any).
 </p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Byte array with serialization of this parameter buffer</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../org/firebirdsql/gds/ParameterBuffer.html#toBytes--"><code>toBytes()</code></a></dd>
</dl>
</li>
</ul>
<a name="size--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>size</h4>
<pre>int&nbsp;size()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the number of parameters stored.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/gds/Parameter.html" title="interface in org.firebirdsql.gds"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../org/firebirdsql/gds/ParameterBufferHelper.html" title="class in org.firebirdsql.gds"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/gds/ParameterBuffer.html" target="_top">Frames</a></li>
<li><a href="ParameterBuffer.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
